Subject: Renaissance Discography (Long)
From: [email-masked] (Joe Lynn)
Date: 15 Mar 1993 09:14:29 -0600
Newsgroups: alt.music.progressive

As promised, here is the latest version of the Renaissance discography.
Please note my new address (the one residing on the archive server is
very old and very incorrect).

Enjoy.

Joe Lynn
--
[email-masked]

----clip here----

                        Renaissance US Discography
                        --------------------------
                           compiled by Joe Lynn
                              (c)1982-1993

                       last revision: 15 March 1993

Unless otherwise noted, all catalog numbers are of US releases.  Thanks to
all who have contributed information.  Corrections and updates are welcome.

Please send comments (e-mail) to:       [email-masked]

Year    Band Lineup  (*denotes 'guest appearance')
----    ------------------------------------------

1969    Keith Relf - vocals, guitars, harmonica
        Jim McCarty - drums, percussion, vocals
        John Hawken - piano, harpsichord
        Louis Cennamo - bass guitar
        Jane Relf - vocals, percussion

        released:

                _Renaissance_ (1969) Elektra EKS-74068
                        produced by Paul Samwell-Smith
                        CD reissue: Line LICD 9.00421 (W Germany-1987)
                                Kings & Queens;  Innocence;
                                Island;  Wanderer;  Bullet

1971    Keith Relf - vocals, guitars, harmonica
        Jim McCarty - drums, percussion, vocals
        John Hawken - piano, harpsichord
        Louis Cennamo - bass guitar
        Jane Relf - vocals, percussion
        *Don Shin - electric piano

        +(alternate lineup:)
        Neil Korner - bass guitar
        Michael Dunford - guitar
        T. Slade - drums
        T. Crowe - vocals

        +This lineup performed one track ("Mr. Pine") on the LP below;
        the remaining tracks were by the original members.
        This recording also marks the first appearance of the work of
        lyricist Betty Thatcher.

        released:

                _Illusion_ (1971) Island (UK) HELP 27
                        produced by Paul Samwell-Smith
                        CD reissue: Line LICD 9.00425 (W Germany-1987)
                                Love Goes On;  Golden Thread;
                                Love Is All;  Mr. Pine;  Face of
                                Yesterday;  Past Orbits of Dust

        At this point, the original lineup departed.  McCarty, Relf,
        and Cennamo went on to form the band _Armageddon_.  McCarty, 
        however, continued contributing songs to the 'new' Renaissance 
        until 1974.  After Keith Relf's death in 1976, the original
        Renaissance reformed as _Illusion_, whose work is discussed at the 
        end of the discography.

1972    John Tout - keyboards, vocals
        Annie Haslam - lead vocals, percussion
        Rob Hendry - guitars, mandolin, chimes, vocals
        Jon Camp - bass, vocals
        Terence Sullivan - drums, percussion
        *Francis Monkman - VCS 3

        released:

                _Prologue_ (1972) Sovreign/Capitol ST-11116
                        produced by Miles Copland and Renaissance,
                        arranged by Michael Dunford
                        CD reissue: Capitol/Toshiba-EMI {catalog unknown} 
                                (Japan-1992)
                        CD reissue: One Way/Capitol CDL 57577 (1992)
                                Prologue;   Kiev;  Sounds of the Sea;
                                Spare Some Love;  Bound For Infinity;
                                Rajah Khan

        Michael Dunford was briefly a member of the band until he
        quit to concentrate on his songwriting. His replacement, Mick 
        Parsons, was killed in an accident right before _Prologue_ was 
        recorded.  Rob Hendry was Parsons' last-minute replacement.
        On the original LP, the band dedicated _Prologue_ to Parsons.

1973    John Tout - keyboards, vocals
        Annie Haslam - lead vocals, percussion
        Jon Camp - bass, vocals
        Terence Sullivan - drums, percussion
        *Michael Dunford - acoustic guitar
        *Andy Powell - guitar

        Despite his work with the band since Renaissance Mk.I and the
        departure of Rob Hendry, Michael Dunford was not a regular member 
        of Renaissance until 1974.

        released:

                _Ashes Are Burning_ (1973) Sovreign/Capitol ST-11216
                        produced by Dick Plant and Renaissance
                        CD reissue: Capitol/Toshiba-EMI TOCP-6800 (Japan-1991)
                                (contains edited version of "At The Harbour,"
                                with excerpted pieces of Debussy's "La 
                                Cathedrale Engloutie" removed)
                        CD reissue: One Way/Capitol CDL 57576 (1992)
                                Can You Understand;  Let It Grow;
                                On The Frontier;  Carpet of the Sun;
                                At The Harbour;  Ashes Are Burning

                The UK pressing of this LP (Sovreign-EMI SVNA 7261) 
                has a slightly different cover than the one seen in the 
                rest of the world, in that the band members are smiling.

1974 -  John Tout - keyboards, vocals
 1979   Annie Haslam - lead vocals, percussion
        Jon Camp - bass, vocals
        Terence Sullivan - drums, percussion
        Michael Dunford - acoustic guitar

        released:

                _A Turn of the Cards_ (1974) Sire/Famous SAS-7502
                        produced by Dick Plant, Renaissance, 
                                and Richard Gottehrer
                        LP reissue: Sire/ABC SAS-7502 (1976)
                        LP reissue: Sire/Warner Bros. SR 6015 (1977)
                                Running Hard;  I Think of You;
                                Things I Don't Understand;  Black
                                Flame;  Cold Is Being;  Mother Russia

                _Scheherazade and Other Stories_ (1975) Sire/Famous SASD-7510
                        produced by Renaissance
                        LP reissue: Sire/ABC SASD-7510 (1976)
                        LP reissue: Sire/Warner Bros. SR 6017 (1977)
                        LP reissue: MFSL 1-099 (1/2-speed master) (1978)
                                Trip To The Fair;  The Vultures
                                Fly High;  Ocean Gypsy;  Song of
                                Scheherazade

                _Live at Carnegie Hall_ (1976) Sire/ABC SASY-3902-2
                        produced by Renaissance
                        LP reissue: Sire/Warner Bros. 2XS 6029 (1977)
                                Prologue;  Ocean Gypsy;  Can You
                                Understand;  Carpet of the Sun;
                                Running Hard;  Mother Russia;  Song of
                                Scheherazade;  Ashes Are Burning

                _Novella_ (1977) Sire/ABC SA-7526
                        produced by Renaissance
                        LP reissue: Sire/Warner Bros. SR 6024 (1977)
                        CD reissue: Sire/Warner-Pioneer WPCP-4218 (Japan-1991)
                                (Warner reissues have different covers from 
                                        original ABC release)
                                Can You Hear Me?;  The Sisters;  Midas
                                Man;  The Captive Heart;  Touching Once
                                (Is So Hard To Keep)

                _A Song For All Seasons_ (1978) 
                        Sire/Warner Bros. SRK 6049
                        produced by David Hentschel
                        CD reissue: Sire/Warner-Pioneer WPCP-4219 (Japan-1991)
                                Opening Out;  Day of the Dreamer;
                                Closer Than Yesterday;  Kindness (At the
                                End);  Back Home Once Again;  She Is 
                                Love;  Northern Lights;  A Song For
                                All Seasons

                _Azure d'or_ (1979) Sire/Warner Bros. SRK 6068
                        produced by David Hentschel
                        CD/LP reissue: Thunderbolt TB 045 (UK-1988)
                        CD reissue: Sire/Warner-Pioneer WPCP-4220 (Japan-1991)
                                Jekyll and Hyde;  The Winter Tree;
                                Only Angels Have Wings;  Golden Key;
                                Forever Changing;  Secret Mission;
                                Kalynda (a magical isle);  
                                The Discovery;  Friends;  The Flood
                                at Lyons

1981    Annie Haslam - lead vocals
        Jon Camp - bass & electric guitars, vocals
        Michael Dunford - acoustic and electric guitars, vocals
        Peter Gosling - keyboards, vocals
        Peter Barron - drums, percussion, vocals

        released:

                _Camera Camera_ (1981) IRS/A&M 70019
                        produced by Renaissance
                        CD reissue: Line LICD 9.00042 (W Germany-1988)
                                Camera Camera;  Faeries (Living at
                                the Bottom of the Garden);  Remember;
                                Bonjour Swansong;  Tyrant-tula;  
                                Okichi-san;  Jigsaw;  Running Away 
                                From You;  Ukraine Ways

                The original UK pressing of this LP (Illegal ILP 008) does 
                not contain the track "Bonjour Swansong."

        Gosling and Barron were replaced by Mike Taylor and Gavin
        Harrison, respectively, for the band's 1982 US Tour.

1983    Annie Haslam - lead vocals
        Jon Camp - bass & electric guitars, vocals
        Michael Dunford - acoustic and electric guitars, vocals
        *Peter Gosling - keyboards
        *Nick Magnus - keyboards
        *Eddie Hardin - keyboards
        *Peter Mosely - drums
        *Ian Mosely - drums
        *Bimbu Ackock - saxophone
        *Dave Thomson - trumpet

        released:

                _Time Line_ (1983) IRS/A&M 70033
                        produced by Renaissance
                                Flight;  Missing Persons;  Chagrin
                                Boulevard;  Richard the IX;  The
                                Entertainer;  Electric Avenue;
                                Majik;  Distant Horizons;  Orient
                                Express;  Auto-tech

1985-   Annie Haslam - lead vocals
 1987   Michael Dunford - acoustic and electric guitars, vocals
        Raphael Rudd - keyboards, harp
        Mark Lampariello - guitar, bass

        no recordings released

        This band lineup toured the UK and USA during 1985 and 1986;
        a couple of UK appearances took place at the Royal Festival Hall 
        in London.  The final Renaissance performance was held at the 
        Club Bene in Sayreville, NJ on June 6, 1987.

Compilations:

1978    _In The Beginning_  Capitol SWBC-11871
                2-LP combination of _Prologue_ and _Ashes Are Burning_,
                containing an edited version of "At The Harbour,"
                with excerpted pieces of Debussy's "La Cathedrale 
                Engloutie" removed
                        CD reissue: Capitol CDP 7 48451 2 (1988)
                                contains edited version of "At The Harbour"
                                as well as truncated versions of "Rajah Khan"
                                and "Ashes Are Burning"

1980    _Rock Galaxy_  RCA (UK) 25282
                2-LP combination of _A Turn of the Cards_ and _Scheherazade_

1990    _Tales of 1001 Nights, Volume I_  Sire/Warner Bros. 26129-2
                Compilation of recordings made during 1974-1976
                (CD and cassette only):
                        Prologue (Live);  Can You Understand (Live);
                        Carpet of the Sun (Live);  Running Hard;  
                        I Think of You;  Black Flame;  Mother Russia;
                        Ocean Gypsy;  A Trip to the Fair;  The Vultures
                        Fly High;  The Young Prince and Princess (as 
                        told by Scheherazade)

        _Tales of 1001 Nights, Volume II_  Sire/Warner Bros. 26143-2
                Compilation of recordings made during 1976-1979 
                (CD and cassette only):
                        Can You Hear Me?;  Touching Once (Is So Hard to
                        Keep);  Midas Man;  Northern Lights;  A Song
                        For All Seasons;  Jekyll and Hyde;  The Winter
                        Tree;  Ashes Are Burning (Live)

1992    _Moments of Truth_  {bootleg; label unknown} LLR-154
                Live recording of performances during the _Turn of the
                        Cards_ tour, 1975
                (CD only):
                        {track listing unknown}

Singles:

1973    "Carpet of the Sun/{?}" Sovreign/Capitol {?}

1974    "Mother Russia/{?}"  Sire/Famous {?}

1977    "Back Home Once Again (from the Tyne Tees T.V. Series THE PAPER LADS)"/
                "The Captive Heart"  Warner Bros. (UK) K 17012

1978    "Northern Lights/Opening Out"  Sire/Warner Bros. SRE 1041
                (also released as a picture disc: SRE 1022)
                (promo issue: "Northern Lights (Stereo)/Northern Lights (Mono)")
1979    "Jekyll and Hyde"/"{?}"  Sire/Warner Bros. {?}

1979    (Haslam and Dunford recorded a couple of singles for Polydor UK
                under the name "Nevada")

1981    "Faeries (Living at the Bottom of The Garden)/Remember"
                Illegal (UK) ICS 0025

Radio Shows:

1977    "Nightbird & Co.: Cosmic Connections (U.S. Army Reserve radio) 4/10/77"
                (1 side of double LP which also includes George Benson,
                Jean-Luc Ponty, and Nitty Gritty Dirt Band. 
                Program #309, 310, 311 & 312)
                features interviews and songs from _Novella_

1977    BBC live recording
                features performances from the _Novella_ tour

1979    "BBC Rock Hour:  Renaissance Live"
                features a performance from the _A Song For All Seasons_ tour

Videos:

1983    Bootleg video with three promotional clips from _Azure d'or_;  
        a 1-hour concert performance at Park West/Chicago from USA Cable 
        Network's "Hot Spots" program (1983),  and two videos from
        Renaissance Mk. I.  Entire video was culled from USA programming.

        A different version of this video has appeared with highlights of a
        1986 performance in place of the Renaissance Mk. I material.

Annie Haslam:

1977    _Annie In Wonderland_  Sire/Warner Bros. SRK 6046
                produced by Roy Wood
                with appearance by Jon Camp
                CD reissue: Sire/Warner-Pioneer WPCP-4221 (Japan-1991)
                        Introlise;  If I Were Made of Music;  I Never
                        Believed In Love;  If I Loved You;  Hunioco;
                        Rockalise;  Nature Boy;  Inside My Life;
                        Going Home

1977    _The InterGalactic Touring Band_ [various artists] Passport/Jem PB 9823
                produced by Stephan Galfas and Marty Scott
                multi-artist studio effort written by Danny Beckerman
                and Wil Malone.  The band consisted of: David Sconce, guitar;
                Brian Cuomo, keyboards;  Peter Sobel, Bass;  Larry Fast,
                synthesizers;  Paul Marchetti, percussion.  Other artists
                who appear include: Rod Argent;  Arthur Brown;  Clarence 
                Clemons;  Annie Haslam;  Ben E. King;  Meatloaf;  Anthony 
                Phillips.  Annie sings lead vocals.

1979    _On The Road Again_ [Roy Wood] Warner Bros. BSK 3247
                produced by Roy Wood
                Annie sings backing vocals on "Dancin' At The Rainbow's End"
                and "Way Beyond The Rain"

1984    _Still Life_  Spartan (UK) LCTV1
                produced by Louis Clark
                billed as "Louis Clark and the Royal Philharmonic Orchestra
                with the Royal Choral Society featuring Annie Haslam."  All
                tracks contain popular classical pieces with Annie singing
                lyrics by Betty Thatcher.
                        Forever Bound;  Still Life;  One Day;  Ave Verum;
                        Shine;  Careless Love;  Glitter and Dust;  The
                        Day You Strayed;  Save Us All;  Skalia;  Bitter
                        Sweet;  Chains and Threads

1989    _Annie Haslam_  Epic FE 45223
                produced by Larry Fast
                with appearances by Justin Hayward and Mel Collins
                CD reissue: _Moonlight Shadow_ {label/catalog ?} (Japan-1992)
                        Moonlight Shadow;  The Angels Cry;  When A Heart
                        Finds Another;  Let It Be Me;  She's The Light;
                        Celestine;  Further From Fantasy;  Wishin' On 
                        A Star;  Wildest Dreams;  One More Arrow;
                        One Love

Illusion:

1977    John Hawken - Keyboards
        Louis Cennamo - Bass
        Jane Relf - Vocals
        Jim McCarty - Vocals, Acoustic Guitar, Percussion
        John Knightsbridge - Guitars
        Eddie McNeil - Percussion, Drums

        released:

                _Out Of The Mist_ (1977) Island ILPS 9489
                        produced by Doug Bogie/Illusion
                                Isadora; Roads To Freedom;
                                Beautiful Country;  Solo Flight;
                                Everywhere You Go;  Face of 
                                Yesterday;  Candles Are Burning

                _Illusion_ (1978) Island ILPS 9519

Compilations/reissues:

                _Moonstone_ (Mid-1980s) Brisk Productions/New World {?}
                        tracks recorded by Jim McCarty, Louis 
                        Cennamo, and Jane Relf, as the band "Stairway."
                        CD and cassette only.

                _Enchanted Caress_ (1990) Brisk Productions/Promised Land 92152
                        unreleased tracks from Renaissance Mk. I,
                        recorded just before the formation of 
                        Armageddon.  CD and cassette only.
                                (featured tracks:) Nights in Paris;
                                Walking Space;  All The Fallen Angels

                _Off Shoots_ (1992)  TNT Studio (Luxembourg) TNT-910109
                        live and solo Renaissance Mk. I recordings, 1969-1971
                                Kings & Queens; Innocence; Wanderer;
                                No Name Raga; Island; Without A Song For You;
                                Make My Time Pass By; The Sea;  Line of
                                Least Resistance;  Natural Lovin' Man;
                                Henry's Coming Home;  Love Mum and Dad

                  (end of Renaissance discography)
                ------------------------------------
-- 
[email-masked]